Compare commits

...

33 Commits

Author SHA1 Message Date
github-actions[bot]
89daa3bca3 Merge branch 'main' into sec 2023-04-28 06:35:30 +00:00
Tonye Jack
4a0aac0d19 fix: switch to use git diff for retrieving renamed files (#1106) 2023-04-28 06:35:16 +00:00
github-actions[bot]
5672b9c48d Merge branch 'main' into sec 2023-04-21 18:27:35 +00:00
Tonye Jack
a611c48932 Upgraded to v35.9.0 (#1098)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2023-04-21 18:27:20 +00:00
renovate[bot]
2e61fb6a48 chore(deps): update tj-actions/glob action to v17.1.0 (sec) (#1097)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-21 17:58:15 +00:00
github-actions[bot]
9edddf3d63 Merge branch 'main' into sec 2023-04-21 17:57:05 +00:00
renovate[bot]
ce810b29b2 chore(deps): update tj-actions/glob action to v17.1.0 (main) (#1096)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-21 17:56:52 +00:00
renovate[bot]
a24d2903b9 chore(deps): update tj-actions/json2file action to v1.4.2 (sec) (#1090)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-14 23:15:26 +00:00
github-actions[bot]
ede393db5b Merge branch 'main' into sec 2023-04-14 23:11:10 +00:00
renovate[bot]
4e5d0fad4d chore(deps): update tj-actions/json2file action to v1.4.2 (main) (#1089)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-14 23:10:54 +00:00
github-actions[bot]
f3595e1d0d Merge branch 'main' into sec 2023-04-14 02:36:05 +00:00
Tonye Jack
fea1ca3c21 chore: Update README.md (#1087) 2023-04-14 02:35:51 +00:00
github-actions[bot]
5c809784a2 Merge branch 'main' into sec 2023-04-12 10:38:05 +00:00
Tonye Jack
df0c101b3f Upgraded to v35.8.0 (#1084)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2023-04-12 10:37:51 +00:00
Tonye Jack
0e154fc482 chore(sec): upgrade tj-actions/glob (#1083) 2023-04-12 04:07:02 -06:00
renovate[bot]
72a2c0de17 chore(deps): update peter-evans/create-pull-request action to v5 (sec) (#1076)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
Co-authored-by: repo-ranger[bot] <39074581+repo-ranger[bot]@users.noreply.github.com>
2023-04-12 04:07:02 -06:00
renovate[bot]
753840ecba chore(deps): update tj-actions/json2file action to v1.4.1 (sec) (#1074)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-12 04:07:02 -06:00
renovate[bot]
f8bb26bf6f chore(deps): update tj-actions/glob action to v16.14 (sec) (#1052)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-12 04:07:02 -06:00
renovate[bot]
1579bc828f chore(deps): update tj-actions/glob action to v16.13 (sec) (#1049)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-12 04:07:02 -06:00
renovate[bot]
45b68b4a7c chore(deps): update tj-actions/json2file action to v1.4.0 (sec) (#1039)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-12 04:07:02 -06:00
renovate[bot]
97aac57244 chore(deps): update tj-actions/glob action to v16.12 (sec) (#1035)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-12 04:07:02 -06:00
Tonye Jack
b5d0d85099 Updated to pin dependent actions with full sha 2023-04-12 04:06:23 -06:00
Tonye Jack
7ecfc6730d chore: upgrade tj-actions/glob (#1082) 2023-04-12 04:02:29 -06:00
Tonye Jack
8b07761656 Update renovate.json 2023-04-11 22:54:25 -06:00
Tonye Jack
e45cb98580 Update README.md 2023-04-07 15:39:00 -06:00
Tonye Jack
87380821bf Upgraded to v35.7.12 (#1078)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2023-04-07 01:29:14 -06:00
Tonye Jack
b109d83a62 fix: error finding merge base (#1077) 2023-04-06 20:56:59 -06:00
Tonye Jack
b109d82bbf Update README.md 2023-04-06 19:44:11 -06:00
renovate[bot]
5c78c9fe10 chore(deps): update peter-evans/create-pull-request action to v5 (main) (#1075)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-05 01:08:49 +00:00
renovate[bot]
2f5a1b0ae2 chore(deps): update tj-actions/json2file action to v1.4.1 (main) (#1073)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-05 00:15:41 +00:00
Tonye Jack
0302ff21cd Upgraded to v35.7.11 (#1072)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2023-04-04 20:40:12 +00:00
Tonye Jack
79adacd43e chore: Update sync-release-version.yml (#1071) 2023-04-04 19:58:30 +00:00
Tonye Jack
b3ee2eb875 Upgraded to v35.7.10 (#1070)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2023-04-04 13:22:37 -06:00
10 changed files with 5011 additions and 1808 deletions

View File

@@ -19,7 +19,7 @@ jobs:
git submodule update --remote --recursive
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4.2.4
uses: peter-evans/create-pull-request@v5.0.0
with:
title: "Updated submodule"
labels: "merge when passing"

View File

@@ -32,6 +32,7 @@ jobs:
update-version:
runs-on: ubuntu-latest
needs: create-sec-tag
steps:
- uses: actions/checkout@v3
with:
@@ -49,7 +50,7 @@ jobs:
- name: Run git-cliff
uses: tj-actions/git-cliff@v1
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4.2.4
uses: peter-evans/create-pull-request@v5.0.0
with:
base: "main"
labels: "merge when passing"

View File

@@ -7,9 +7,11 @@ on:
pull_request:
branches:
- main
- sec
pull_request_review:
branches:
- main
- sec
jobs:
shellcheck:

View File

@@ -34,7 +34,7 @@ jobs:
- name: Create Pull Request
if: failure()
uses: peter-evans/create-pull-request@v4
uses: peter-evans/create-pull-request@v5
with:
base: "main"
labels: "merge when passing"

6754
HISTORY.md

File diff suppressed because it is too large Load Diff

View File

@@ -63,7 +63,7 @@ Retrieve all changed files and directories relative to a target branch, preceedi
## Usage
> NOTE: :warning:
> **Warning**:
>
> * **IMPORTANT:** For `push` events you need to include `fetch-depth: 0` **OR** `fetch-depth: 2` depending on your use case.
> * For monorepos where pulling all the branch history might not be desired, you can omit `fetch-depth` for `pull_request` events.
@@ -350,7 +350,6 @@ See [action.yml](action.yml#L264) for a list of all available keys.
```yaml
...
- name: Get changed files and write the outputs to a json file
id: changed-files-write-output-files-json
uses: ./
@@ -665,7 +664,7 @@ See [inputs](#inputs) for more information.
</li>
</ul>
> NOTE: This setting overrides the commit sha used by setting `since_last_remote_commit` to true.
> **Warning**: This setting overrides the commit sha used by setting `since_last_remote_commit` to true.
> It is recommended to use either solution that works for your use case.
See [inputs](#inputs) for more information.
@@ -745,7 +744,7 @@ And many more...
## Known Limitation
> NOTE: :warning:
> **Warning**:
>
> * Using characters like `\n`, `%`, `.` and `\r` as separators would be [URL encoded](https://www.w3schools.com/tags/ref_urlencode.asp)
> * Spaces in file names can introduce bugs when using bash loops. See: [#216](https://github.com/tj-actions/changed-files/issues/216)
@@ -757,43 +756,26 @@ And many more...
With the switch from using grep's Extended regex to match files to the natively supported workflow glob pattern matching syntax introduced in [v13](https://github.com/tj-actions/changed-files/releases/tag/v13) you'll need to modify patterns used to match `files`.
**BEFORE**
```yml
```diff
...
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v12.2
with:
files: |
\.sh$
.(sql|py)$
^(mynewfile|custom)
```
**AFTER**
```yml
...
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v24
with:
files: |
*.sh
*.sql
*.py
mynewfile
custom/**
- \.sh$
- .(sql|py)$
- ^(dir1|dir2)
+ *.{sh,sql,py}
+ dir1
+ dir2
```
* Free software: [MIT license](LICENSE)
## Credits
This package was created with [Cookiecutter](https://github.com/cookiecutter/cookiecutter).
This package was created with [cookiecutter-action](https://github.com/tj-actions/cookiecutter-action).
* [tj-actions/glob](https://github.com/tj-actions/glob)
* [tj-actions/auto-doc](https://github.com/tj-actions/auto-doc)

View File

@@ -208,7 +208,7 @@ runs:
INPUT_FETCH_DEPTH: ${{ inputs.fetch_depth }}
INPUT_SINCE_LAST_REMOTE_COMMIT: ${{ inputs.since_last_remote_commit }}
- name: Glob match
uses: tj-actions/glob@v16.14
uses: tj-actions/glob@eb138047b8b00dafdd53554152f8885f68a891f6 # v17.1.0
id: glob
with:
files: ${{ inputs.files }}
@@ -255,7 +255,7 @@ runs:
INPUT_HAS_CUSTOM_PATTERNS: ${{ steps.glob.outputs.has-custom-patterns }}
INPUT_JSON_RAW_FORMAT: ${{ inputs.json_raw_format }}
- name: Generate output files
uses: tj-actions/json2file@v1.4.0
uses: tj-actions/json2file@46d3707a327c0049b276be5977a89354b9310003 # v1.4.2
if: inputs.write_output_files == 'true'
with:
outputs: ${{ toJSON(steps.changed-files.outputs) }}

View File

@@ -251,13 +251,13 @@ else
if [[ "$IS_SHALLOW" == "true" ]]; then
# check if the merge base is in the local history
if ! git merge-base "$PREVIOUS_SHA" "$CURRENT_SHA" 1>/dev/null 2>&1; then
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA$DIFF$CURRENT_SHA" 1>/dev/null 2>&1; then
echo "::debug::Merge base is not in the local history, fetching remote target branch..."
# Fetch more of the target branch history until the merge base is found
for i in {1..10}; do
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH" 1>/dev/null
if git merge-base "$PREVIOUS_SHA" "$CURRENT_SHA" 1>/dev/null 2>&1; then
if git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA$DIFF$CURRENT_SHA" 1>/dev/null 2>&1; then
break
fi
echo "::debug::Merge base is not in the local history, fetching remote target branch again..."

View File

@@ -126,7 +126,7 @@ function get_renames() {
(
cd "$sub" && (
# the strange magic number is a hardcoded "empty tree" commit sha
git log --name-status --ignore-submodules=all "${sub_commit_pre:-4b825dc642cb6eb9a060e54bf8d69288fbee4904}".."${sub_commit_cur}" | { grep -E "^R" || true; } | awk -F '\t' -v d="$INPUT_OLD_NEW_SEPARATOR" '{print $2d$3}' | awk -v r="$sub" '{ print "" r "/" $0}'
get_renames "${sub_commit_pre:-4b825dc642cb6eb9a060e54bf8d69288fbee4904}" "${sub_commit_cur}" | awk -v r="$sub" '{ print "" r "/" $0}'
)
) || {
echo "::warning::Failed to get renamed files for submodule ($sub) between: ${sub_commit_pre:-4b825dc642cb6eb9a060e54bf8d69288fbee4904} ${sub_commit_cur}. Please ensure that submodules are initialized and up to date. See: https://github.com/actions/checkout#usage" >&2
@@ -134,7 +134,7 @@ function get_renames() {
fi
done < <(git submodule | awk '{print $2}')
git log --name-status --ignore-submodules=all "$base".."$sha" | { grep -E "^R" || true; } | awk -F '\t' -v d="$INPUT_OLD_NEW_SEPARATOR" '{print $2d$3}' && exit_status=$? || exit_status=$?
git diff --name-status --ignore-submodules=all --diff-filter=R "$base$DIFF$sha" | { grep -E "^R" || true; } | awk -F '\t' -v d="$INPUT_OLD_NEW_SEPARATOR" '{print $2d$3}' && exit_status=$? || exit_status=$?
if [[ $exit_status -ne 0 ]]; then
echo "::error::Failed to get renamed files between: $base$sha" >&2

View File

@@ -3,8 +3,8 @@
"config:base"
],
"enabled": true,
"prHourlyLimit": 10,
"prConcurrentLimit": 5,
"prHourlyLimit": 30,
"prConcurrentLimit": 10,
"rebaseWhen": "behind-base-branch",
"addLabels": [
"dependencies",